ServerFlavor:
    subClassOf: ['gax-trust-framework:InstantiationRequirements']
    prefix: 'gax-trust-framework'
    attributes:
    -   title: 'cpuReq'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:CPU'
        cardinality: '1..1'
        description: 'CPU requirements'
        exampleValues: ['(a structured object of type gax-trust-framework:CPU)']

    -   title: 'memoryRequirements'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Memory'
        cardinality: '1..1'
        description: 'Server memory requirements'
        exampleValues: ['(a structured object of type gax-trust-framework:Memory)']

    -   title: 'gpuRequirements'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:GPU'
        cardinality: '0..*'
        description: 'Server memory requirements'
        exampleValues: ['(a structured object of type gax-trust-framework:GPU)']

    -   title: 'networkRequirements'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Network'
        cardinality: '1..*'
        description: 'Networking requirements'
        exampleValues: ['(a structured object of type gax-trust-framework:Network)']

    -   title: 'bootVolumeReq'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Disk'
        cardinality: '1..1'
        description: 'Boot volume requirement'
        exampleValues: ['(a structured object of type gax-trust-framework:Disk)']

    -   title: 'additionalVolumeReq'
        prefix: 'gax-trust-framework'
        dataType: 'gax-trust-framework:Disk'
        cardinality: '0..*'
        description: 'Additional volume requirements'
        exampleValues: ['(a structured object of type gax-trust-framework:Disk)']

    -   title: 'confidential'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:boolean'
        cardinality: '1..1'
        description: 'indicates whether server is of confidential nature'
        exampleValues: [ 'False', 'True']

    -   title: 'confidentialComputingTechnology'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:string'
        cardinality: '0..1'
        description: 'one ore more particular CC technologies used by this flavor'
        exampleValues: [ 'AMD SEV', 'AMD SEV-ES', 'AMD SEV-SNP', 'ARM TrustZone', 'ARM RME', 'Huawei Qingtian', 'Intel SGX1', 'Intel SGX2', 'Intel TDX']

    -   title: 'attestationServiceURI'
        prefix: 'gax-trust-framework'
        dataType: 'xsd:anyURI'
        cardinality: '0..1'
        description: 'indicates whether confidential server has an associated attestation service'
        exampleValues: [ 'https://attestation.service.endpoint' ]
